How do I run the Phobos plugin in Linux?

The Phobos plugin for Geneious does not include the Phobos executable, or the C++ libraries required to run it on Linux.  

To install the required C++ library (libstdc++6) run the following command in the Terminal:

apt-get install libstdc++6

To download the Phobos executable go to http://www.ruhr-uni-bochum.de/ecoevo/cm/cm_phobos.htm.  Click Download Phobos and choose the Linux binaries (updated September 2017).  You can download these as either a zip or tar.gz file.  Extract the folder to a location of your choice.  

The first time you run Phobos in Geneious you will need to set the path to the executable.  Go to Annotate and Predict->Locate Tandem repeats with Phobos.  Click the Browse button and navigate to the folder you extracted.  For 64-bit linux, choose the phobos_64_libstdc++6 executable in the /bin folder, and for 32-bit linux use phobos-linux-libstdc++6. 

 

Have more questions? Submit a request

Comments